Subject: Re: bug#50470: 27.1; 'company-mode' 'eshell'

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 Jun 2022 21:34:16 -0400

> Debugging shows that COMPLETIONS just before the bit of code I added gets
> set to absolute file names. E.g. if I'm typing

[ I see we got back to this issue at the very same time :-)  ]

>   cd ~/Do*
>
> COMPLETIONS is '("/home/dgutov/Documents" "/home/dgutov/Downloads"), which
> fails to match "~/Do" because we do prefix-matching by default.

Yup.  We could try and handle this with a `completion-table-subvert`
hack like we do in `pcomplete-completions-at-point`.

Still, if you remove the ~/ the behavior is still not great: it seems I get
"Do*" completed to "Documents/ " where the SPC might not be what I want.

Maybe we should return a special completion-table which implements the
`backend` style.

        Stefan